<template>
  <div class="map-container" ref="map"></div>
</template>

<script>
import 'leaflet/dist/leaflet.css'
import 'leaflet-defaulticon-compatibility/dist/leaflet-defaulticon-compatibility.webpack.css' // hack
import leaflet from 'leaflet'
import 'leaflet-defaulticon-compatibility' // hack

export default {
  data() {
    return {
    }
  },
  props: {
    latitude: Number,
    longitude: Number
  },
  mounted() {
    const zoomLevel = 14
    const map = leaflet.map(this.$refs.map).setView([this.latitude, this.longitude], zoomLevel)

    leaflet.tileLayer(WEBPACK_MAP_URL, {
      attribution: 'Maps © <a href="http://www.thunderforest.com/">Thunderforest</a>',
      minZoom: 2,
      maxZoom: 17
    }).addTo(map)

    leaflet.marker([this.latitude, this.longitude]).addTo(map)
  }
}
</script>

<style scoped>
.map-container {
  height: 100%;
  width: 100%;
  z-index: 0;
}
</style>
